Subject: bug#63028: 28.2; Rendering Traditional Mongolian Script

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Apr 2023 21:30:21 +0300

> From: "Garid Z." <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 Apr 2023 01:05:43 +0900
> 
> > FTR, what font are you using for this script?
> 
> It looks like I'm using Noto-sans, Take look at my (C-u C-x =) output
> file (attachment: letter.txt):

Yes, it's Noto Sans Mongolian.

> > Thanks.  However, I think I'd like to separate this line from the
> > existing Mongolian line (which uses the Cyrillic script).  I thought
> > about labeling it "Mongolian Traditional:, WDYT?  Alternatively, we
> > could rename the existing line to "Mongolian Cyrillic", if the
> > traditional Mongolian script is back in wide use nowadays.
> 
> (TBH, Traditional script are used rarely).
> But using "Mongolian Traditional" and "Mongolian Cyrillic" labels sound
> perfect to me. Should I make new file:
> emacs/lisp/leim/quail/mongolian.el and put these 2 input methods?
> or "Mongolian-cyrillic" still should belongs to other cyrillics
> in emacs/lisp/leim/quail/cyrillic.el? WDYT?
> 
> > In any
> > case, I will need to know how "Mongolian" is written in the Mongolian
> > script, can you tell that as well?
> 
> 
> Sure here: (Just in case, I also made it as attachment)
> - Mongolia - Монгол - ᠮᠣᠩᠭᠣᠯ 
> - Mongolian language - Монгол хэл -  ᠮᠣᠩᠭᠣᠯ ᠬᠡᠯᠡ
> - Mongolian traditional scrips - Монгол бичиг - ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ᠋

OK, I will modify HELLO and the rest of the files with this.  The
preferred encoding with this script is probably UTF-8, is that right?

> Should I make new file: emacs/lisp/leim/quail/mongolian.el and put
> these 2 input methods?

No need for a new file.  Just add the Mongolian input method to
lisp/leim/quail/misc-lang.el.

> For the input-method this, I need to couple of days to figure out and
> look for existing keyboard layout for traditional mongolian.

OK.